Package fr.gouv.vitam.ihmdemo.appserver

# Class WebApplicationResource

java.lang.Object
fr.gouv.vitam.common.server.application.resources.ApplicationStatusResource
fr.gouv.vitam.ihmdemo.appserver.WebApplicationResource

@Path("/v1/api") @ApplicationPath("webresources") public class WebApplicationResource extends ApplicationStatusResource
Web Application Resource class

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `X_CHUNK_OFFSET`
  X_CHUNK_OFFSET
  `static final String`
  `X_SIZE_TOTAL`
  X_SIZE_TOTAL

  ### Fields inherited from class fr.gouv.vitam.common.server.application.resources.ApplicationStatusResource

  `STATUS_URL, TENANTS_URL`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WebApplicationResource(Set<String> permissions, WebApplicationConfig webApplicationConfig)`
  Constructor
  `WebApplicationResource(Set<String> permissions, WebApplicationConfig webApplicationConfig, IngestExternalClientFactory ingestExternalClientFactory, AdminExternalClientFactory adminExternalClientFactory, UserInterfaceTransactionManager userInterfaceTransactionManager, DslQueryHelper dslQueryHelper, PaginationHelper paginationHelper)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `jakarta.ws.rs.core.Response`
  `cancelProcess(jakarta.servlet.http.HttpServletRequest request, String id)`
  `jakarta.ws.rs.core.Response`
  `checkOperationTraceability(jakarta.servlet.http.HttpServletRequest request, String operationCriteria)`
  Starts a TRACEABILITY check process
  `jakarta.ws.rs.core.Response`
  `checkRefFormat(jakarta.servlet.http.HttpServletRequest request, InputStream input)`
  check the referential format
  `void`
  `checkRefRule(jakarta.servlet.http.HttpServletRequest request, InputStream input, jakarta.ws.rs.container.AsyncResponse asyncResponse)`
  check the referential rules
  `jakarta.ws.rs.core.Response`
  `checkUploadOperation(String operationId, jakarta.servlet.http.HttpServletRequest request, String action)`
  Check if the upload operation is done
  `jakarta.ws.rs.core.Response`
  `computedInheritedRules(jakarta.servlet.http.HttpServletRequest request, String Query)`
  Compute inherated rules from basket
  `jakarta.ws.rs.core.Response`
  `createArchiveUnitProfileMetadata(jakarta.servlet.http.HttpServletRequest request, InputStream input)`
  Create archive unit profiles metadata
  `jakarta.ws.rs.core.Response`
  `createDIPForExport(jakarta.servlet.http.HttpServletRequest request, DipRequest criteria)`
  Send a queryDSL request in order to select some units and create a matching DIP
  `jakarta.ws.rs.core.Response`
  `createProfilesMetadata(jakarta.servlet.http.HttpServletRequest request, InputStream input)`
  Create profiles metadata
  `jakarta.ws.rs.core.Response`
  `createTransferSIP(jakarta.servlet.http.HttpServletRequest request, TransferRequest criteria)`
  `jakarta.ws.rs.core.Response`
  `deleteComputedInheritedRules(jakarta.servlet.http.HttpServletRequest request, String Query)`
  Delete Compute inherated rules from basket
  `jakarta.ws.rs.core.Response`
  `downloadBatchReport(jakarta.servlet.http.HttpServletRequest request, String id)`
  `jakarta.ws.rs.core.Response`
  `downloadCsvReferential(jakarta.servlet.http.HttpServletRequest request, String id, String type)`
  `jakarta.ws.rs.core.Response`
  `downloadDistributionReport(jakarta.servlet.http.HttpServletRequest request, String id)`
  `void`
  `downloadProfileFile(jakarta.servlet.http.HttpServletRequest request, String profileMetadataId, jakarta.ws.rs.container.AsyncResponse asyncResponse)`
  `jakarta.ws.rs.core.Response`
  `downloadRulesReport(jakarta.servlet.http.HttpServletRequest request, String id)`
  `void`
  `downloadTraceabilityFile(jakarta.servlet.http.HttpServletRequest request, String operationId, String contractId, String tenantIdParam, jakarta.ws.rs.container.AsyncResponse asyncResponse)`
  Download the Traceability Operation file
  `jakarta.ws.rs.core.Response`
  `exportProbativeValue(jakarta.servlet.http.HttpServletRequest request, String criteria)`
  - Send a queryDSL request in order to generate an probative value
  `jakarta.ws.rs.core.Response`
  `extractTimeStampInformation(String timestamp)`
  Extract information from timestamp
  `jakarta.ws.rs.core.Response`
  `findAccessContract(jakarta.servlet.http.HttpServletRequest request, String id)`
  Query to Access contracts by id
  `jakarta.ws.rs.core.Response`
  `findAccessContracts(jakarta.servlet.http.HttpServletRequest request, String select)`
  Query to get Access contracts
  `jakarta.ws.rs.core.Response`
  `findArchiveUnitProfileByID(jakarta.servlet.http.HttpServletRequest request, String id)`
  Query to Access archive unit profile by id
  `jakarta.ws.rs.core.Response`
  `findArchiveUnitProfiles(jakarta.servlet.http.HttpServletRequest request, String select)`
  Query to get archive unit profiles
  `jakarta.ws.rs.core.Response`
  `findContext(jakarta.servlet.http.HttpServletRequest request, String select)`
  Get contexts
  `jakarta.ws.rs.core.Response`
  `findContextByID(jakarta.servlet.http.HttpServletRequest request, String id)`
  Get context by id
  `jakarta.ws.rs.core.Response`
  `findContractsById(jakarta.servlet.http.HttpServletRequest request, String id)`
  Gets contracts by name
  `jakarta.ws.rs.core.Response`
  `findIngestContracts(jakarta.servlet.http.HttpServletRequest request, String select)`
  Gets contracts
  `jakarta.ws.rs.core.Response`
  `findManagementContract(jakarta.servlet.http.HttpServletRequest request, String id)`
  Query to Management contracts by id
  `jakarta.ws.rs.core.Response`
  `findManagementContracts(jakarta.servlet.http.HttpServletRequest request, String select)`
  Query to get Management contracts
  `jakarta.ws.rs.core.Response`
  `findOntologies(jakarta.servlet.http.HttpServletRequest request, String select)`
  Query to find all ontologies matching given criteria
  `jakarta.ws.rs.core.Response`
  `findOntologyById(jakarta.servlet.http.HttpServletRequest request, String id)`
  Query to get Ontology by identifier
  `jakarta.ws.rs.core.Response`
  `findProfileByID(jakarta.servlet.http.HttpServletRequest request, String id)`
  Query to Access contracts by id
  `jakarta.ws.rs.core.Response`
  `findProfiles(jakarta.servlet.http.HttpServletRequest request, String select)`
  Query to get profiles
  `jakarta.ws.rs.core.Response`
  `findServiceAgencies(jakarta.servlet.http.HttpServletRequest request, String select)`
  Find Service Agencies by DSL
  `jakarta.ws.rs.core.Response`
  `findServiceAgencyById(jakarta.servlet.http.HttpServletRequest request, String id)`
  Query to Service Agency by identifier
  `jakarta.ws.rs.core.Response`
  `getAccessionRegister(jakarta.servlet.http.HttpServletRequest request, String sessionId, String options)`
  Get the action registers filtered with option query
  `jakarta.ws.rs.core.Response`
  `getAccessionRegisterDetail(jakarta.servlet.http.HttpServletRequest request, String originatingAgency, String sessionId, String options)`
  Get the detail of an accessionregister matching options query
  `jakarta.ws.rs.core.Response`
  `getAccessionRegisterSymbolic(jakarta.servlet.http.HttpServletRequest request, String sessionId, String options)`
  Get the last accession register symbolic
  `jakarta.ws.rs.core.Response`
  `getAdminTenant()`
  Return admin tenant
  `jakarta.ws.rs.core.Response`
  `getArchiveObjectGroup(jakarta.servlet.http.HttpServletRequest request, String objectGroupId)`
  Retrieve an ObjectGroup as Json data based on the provided ObjectGroup id
  `jakarta.ws.rs.core.Response`
  `getArchiveSearchResult(jakarta.servlet.http.HttpServletRequest request, String sessionId, String criteria)`
  `jakarta.ws.rs.core.Response`
  `getArchiveUnitDetails(jakarta.servlet.http.HttpServletRequest request, String unitId)`
  `jakarta.ws.rs.core.Response`
  `getArchiveUnitDetailsWithInheritance(jakarta.servlet.http.HttpServletRequest request, String unitId)`
  `void`
  `getDIPAsInputStreamAsync(jakarta.servlet.http.HttpServletRequest request, String id, jakarta.ws.rs.container.AsyncResponse asyncResponse)`
  Send a DIP id request in order to download the matching DIP
  `jakarta.ws.rs.core.Response`
  `getFileFormats(jakarta.servlet.http.HttpServletRequest request, String sessionId, String options)`
  `jakarta.ws.rs.core.Response`
  `getFileRules(jakarta.servlet.http.HttpServletRequest request, String sessionId, String options)`
  `jakarta.ws.rs.core.Response`
  `getFormatById(jakarta.servlet.http.HttpServletRequest request, String formatId, String options)`
  `jakarta.ws.rs.core.Response`
  `getLogbookMessages()`
  Retrieve all the messages for logbook
  `jakarta.ws.rs.core.Response`
  `getLogbookResult(jakarta.servlet.http.HttpServletRequest request, String sessionId, String options)`
  `jakarta.ws.rs.core.Response`
  `getLogbookResultById(jakarta.servlet.http.HttpServletRequest request, String operationId, String options)`
  `jakarta.ws.rs.core.Response`
  `getLogbookResultLast(jakarta.servlet.http.HttpServletRequest request, com.fasterxml.jackson.databind.JsonNode query)`
  `void`
  `getObjectAsInputStreamAsync(String unitId, String usage, String filename, Integer tenantId, String contractId, jakarta.ws.rs.container.AsyncResponse asyncResponse)`
  Retrieve an Object data as an input stream.
  `void`
  `getObjectFromStorageAsInputStreamAsync(jakarta.servlet.http.HttpServletRequest request, String objectId, String type, jakarta.ws.rs.container.AsyncResponse asyncResponse)`
  Retrieve an Object data stored by ingest operation as an input stream.
  `jakarta.ws.rs.core.Response`
  `getObjectGroupLifeCycleById(jakarta.servlet.http.HttpServletRequest request, String objectGroupLifeCycleId)`
  returns the object group life cycle based on its id
  `jakarta.ws.rs.core.Response`
  `getObjectsSearchResult(jakarta.servlet.http.HttpServletRequest request, String sessionId, String criteria)`
  `jakarta.ws.rs.core.Response`
  `getPermissions(jakarta.servlet.http.HttpServletRequest httpRequest)`
  `jakarta.ws.rs.core.Response`
  `getRuleById(jakarta.servlet.http.HttpServletRequest request, String ruleId, String options)`
  `jakarta.ws.rs.core.Response`
  `getSecureMode()`
  Return authentication mode
  `void`
  `getTransferSIPAsInputStreamAsync(jakarta.servlet.http.HttpServletRequest request, String id, jakarta.ws.rs.container.AsyncResponse asyncResponse)`
  `jakarta.ws.rs.core.Response`
  `getUnitLifeCycleById(jakarta.servlet.http.HttpServletRequest request, String unitLifeCycleId)`
  returns the unit life cycle based on its id
  `jakarta.ws.rs.core.Response`
  `getUnitTree(jakarta.servlet.http.HttpServletRequest request, com.fasterxml.jackson.databind.JsonNode dslQuery)`
  This resource returns all paths relative to a unit
  `jakarta.ws.rs.core.Response`
  `getWorkflowDefinitions(jakarta.servlet.http.HttpServletRequest request)`
  `jakarta.ws.rs.core.Response`
  `importOntologies(boolean forceUpdate, jakarta.servlet.http.HttpServletRequest request, InputStream input)`
  Import the ontologies json file
  `jakarta.ws.rs.core.Response`
  `importProfileFile(jakarta.servlet.http.HttpServletRequest request, InputStream input, String id)`
  Upload profile xsd or rng
  `jakarta.ws.rs.core.Response`
  `ingest(jakarta.servlet.http.HttpServletResponse response, jakarta.servlet.http.HttpServletRequest request, byte[] stream)`
  upload : API Endpoint that can Handle chunk mode.
  `jakarta.ws.rs.core.Response`
  `launchAudit(jakarta.servlet.http.HttpServletRequest request, com.fasterxml.jackson.databind.JsonNode auditOption)`
  `jakarta.ws.rs.core.Response`
  `launchEvidanceAudit(jakarta.servlet.http.HttpServletRequest request, String criteria)`
  Send a queryDSL request in order to select some units and create a matching DIP
  `jakarta.ws.rs.core.Response`
  `listOperationsDetails(jakarta.servlet.http.HttpServletRequest request, ProcessQuery query)`
  Get the workflow operations list for step by step ingest
  `jakarta.ws.rs.core.Response`
  `login(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletRequest httpRequest, com.fasterxml.jackson.databind.JsonNode object)`
  `jakarta.ws.rs.core.Response`
  `massiveArchiveUnitUpdate(jakarta.servlet.http.HttpServletRequest request, String updateSet)`
  Masive archive units update
  `jakarta.ws.rs.core.Response`
  `startEliminationAction(jakarta.servlet.http.HttpServletRequest request, String updateSet)`
  Start elimination action
  `jakarta.ws.rs.core.Response`
  `startEliminationAnalysis(jakarta.servlet.http.HttpServletRequest request, String updateSet)`
  Start elimination analysis
  `jakarta.ws.rs.core.Response`
  `updateAccessContracts(jakarta.servlet.http.HttpServletRequest request, String contractId, com.fasterxml.jackson.databind.JsonNode updateOptions)`
  Update Access contracts
  `jakarta.ws.rs.core.Response`
  `updateArchiveUnitDetails(jakarta.servlet.http.HttpServletRequest request, String unitId, String updateSet)`
  Update Archive Units
  `jakarta.ws.rs.core.Response`
  `updateArchiveUnitProfile(jakarta.servlet.http.HttpServletRequest request, String archiveUnitprofileId, com.fasterxml.jackson.databind.JsonNode updateOptions)`
  Update the detail of the archive unit profile
  `jakarta.ws.rs.core.Response`
  `updateContexts(jakarta.servlet.http.HttpServletRequest request, String contextId, com.fasterxml.jackson.databind.JsonNode updateOptions)`
  Update context
  `jakarta.ws.rs.core.Response`
  `updateIngestContracts(jakarta.servlet.http.HttpServletRequest request, String contractId, com.fasterxml.jackson.databind.JsonNode updateOptions)`
  Upload Access contracts
  `jakarta.ws.rs.core.Response`
  `updateManagementContracts(jakarta.servlet.http.HttpServletRequest request, String contractId, com.fasterxml.jackson.databind.JsonNode updateOptions)`
  Update Management contracts
  `jakarta.ws.rs.core.Response`
  `updateProfile(jakarta.servlet.http.HttpServletRequest request, String profileMetadataId, com.fasterxml.jackson.databind.JsonNode updateOptions)`
  Update the detail of the profile
  `jakarta.ws.rs.core.Response`
  `updateWorkFlowStatus(jakarta.servlet.http.HttpServletRequest request, String id)`
  Update the status of an operation.
  `jakarta.ws.rs.core.Response`
  `uploadAccessContracts(jakarta.servlet.http.HttpServletRequest request, InputStream input)`
  Upload Access contracts
  `jakarta.ws.rs.core.Response`
  `uploadContext(jakarta.servlet.http.HttpServletRequest request, InputStream input)`
  upload context
  `jakarta.ws.rs.core.Response`
  `uploadManagementContracts(jakarta.servlet.http.HttpServletRequest request, InputStream input)`
  Upload Management contracts
  `jakarta.ws.rs.core.Response`
  `uploadRefContracts(jakarta.servlet.http.HttpServletRequest request, InputStream input)`
  Upload contracts
  `jakarta.ws.rs.core.Response`
  `uploadRefFormat(jakarta.servlet.http.HttpServletRequest request, InputStream input)`
  Upload the referential format in the base
  `jakarta.ws.rs.core.Response`
  `uploadRefRule(jakarta.servlet.http.HttpServletRequest request, InputStream input)`
  Upload the referential rules in the base
  `jakarta.ws.rs.core.Response`
  `uploadServiceAgencies(jakarta.servlet.http.HttpServletRequest request, InputStream input)`
  Upload Service Agencies

  ### Methods inherited from class fr.gouv.vitam.common.server.application.resources.ApplicationStatusResource

  `getServerTenants, status`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### X_SIZE_TOTAL

    public static final String X_SIZE_TOTAL
    X_SIZE_TOTAL
    See Also:
      - Constant Field Values

  - ### X_CHUNK_OFFSET

    public static final String X_CHUNK_OFFSET
    X_CHUNK_OFFSET
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### WebApplicationResource

    public WebApplicationResource(Set<String> permissions, WebApplicationConfig webApplicationConfig)
    Constructor
    Parameters:
      `permissions` -
      `webApplicationConfig` - the web server ihm-demo configuration

  - ### WebApplicationResource

    public WebApplicationResource(Set<String> permissions, WebApplicationConfig webApplicationConfig, IngestExternalClientFactory ingestExternalClientFactory, AdminExternalClientFactory adminExternalClientFactory, UserInterfaceTransactionManager userInterfaceTransactionManager, DslQueryHelper dslQueryHelper, PaginationHelper paginationHelper)

- ## Method Details

  - ### getLogbookMessages

    @GET @Path("/messages/logbook") @Produces("application/json") @RequiresPermissions("messages:logbook:read") public jakarta.ws.rs.core.Response getLogbookMessages()
    Retrieve all the messages for logbook
    Returns:
      Response

  - ### getArchiveSearchResult

    @POST @Path("/archivesearch/units") @Produces("application/json") @RequiresPermissions("archivesearch:units:read") public jakarta.ws.rs.core.Response getArchiveSearchResult(@Context jakarta.servlet.http.HttpServletRequest request, @CookieParam("JSESSIONID") String sessionId, String criteria)
    Parameters:
      `request` - needed for the request: X-TENANT-ID (mandatory), X-LIMIT/X-OFFSET (not mandatory)
      `sessionId` - json session id from shiro
      `criteria` - criteria search for units
    Returns:
      Reponse

  - ### getArchiveUnitDetails

    @GET @Path("/archivesearch/unit/{id}") @Produces("application/json") @RequiresPermissions("archivesearch:units:read") public jakarta.ws.rs.core.Response getArchiveUnitDetails(@Context jakarta.servlet.http.HttpServletRequest request, @PathParam("id") String unitId)
    Parameters:
      `request` - needed for the request: X-TENANT-ID (mandatory), X-LIMIT/X-OFFSET (not mandatory)
      `unitId` - archive unit id
    Returns:
      archive unit details

  - ### getArchiveUnitDetailsWithInheritance

    @GET @Path("/archivesearch/unitsWithInheritedRules/{id}") @Produces("application/json") @RequiresPermissions("archivesearch:units:read") public jakarta.ws.rs.core.Response getArchiveUnitDetailsWithInheritance(@Context jakarta.servlet.http.HttpServletRequest request, @PathParam("id") String unitId)
    Parameters:
      `request` - needed for the request: X-TENANT-ID (mandatory), X-LIMIT/X-OFFSET (not mandatory)
      `unitId` - archive unit id
    Returns:
      archive unit details

  - ### getLogbookResult

    @POST @Path("/logbook/operations") @Produces("application/json") @RequiresPermissions("logbook:operations:read") public jakarta.ws.rs.core.Response getLogbookResult(@Context jakarta.servlet.http.HttpServletRequest request, @CookieParam("JSESSIONID") String sessionId, String options)
    Parameters:
      `request` - the http request
      `sessionId` - json session id from shiro
      `options` - the queries for searching
    Returns:
      Response

  - ### getLogbookResultLast

    @POST @Path("/logbook/operations/last") @Produces("application/json") @RequiresPermissions("logbook:operations:read") public jakarta.ws.rs.core.Response getLogbookResultLast(@Context jakarta.servlet.http.HttpServletRequest request, com.fasterxml.jackson.databind.JsonNode query)

  - ### getLogbookResultById

    @POST @Path("/logbook/operations/{idOperation}") @Produces("application/json") @RequiresPermissions("logbook:operations:read") public jakarta.ws.rs.core.Response getLogbookResultById(@Context jakarta.servlet.http.HttpServletRequest request, @PathParam("idOperation") String operationId, String options)
    Parameters:
      `request` - needed for the request: X-TENANT-ID (mandatory), X-LIMIT/X-OFFSET (not mandatory)
      `operationId` - id of operation
      `options` - the queries for searching
    Returns:
      Response

  - ### ingest

    @Path("ingest/upload") @POST @Consumes("application/octet-stream") @Produces("application/json") @RequiresPermissions("ingest:create") public jakarta.ws.rs.core.Response ingest(@Context jakarta.servlet.http.HttpServletResponse response, @Context jakarta.servlet.http.HttpServletRequest request, byte[] stream)
    upload : API Endpoint that can Handle chunk mode. Chunks information are given in header (Fast catch of these header are present in the code)
    The front should give some information
    - Flow-Chunk-Number => The index of the current chunk
    - Flow-Chunk-Size => The configured maximal size of a chunk
    - Flow-Current-Chunk-Size => The size of the current chunk
    - Flow-Total-Size => The total size of the file (All chunks)
    - Flow-Identifier => The identifier of the flow
    - Flow-Filename => The file name
    - Flow-Relative-Path => (?)The relative path (or the file name only)
    - Flow-Total-Chunks => The number of chunks
    Parameters:
      `response` - the http servlet response
      `request` - the http servlet request
      `stream` - data input stream for the current chunk
    Returns:
      Response

  - ### checkUploadOperation

    @Path("check/{id_op}") @GET @Produces("application/octet-stream") @RequiresPermissions("check:read") public jakarta.ws.rs.core.Response checkUploadOperation(@PathParam("id_op") String operationId, @Context jakarta.servlet.http.HttpServletRequest request, @QueryParam("action") String action) throws VitamClientException, IngestExternalException
    Check if the upload operation is done
    Parameters:
      `operationId` -
    Returns:
      the Response
    Throws:
      `VitamClientException`
      `IngestExternalException`

  - ### startEliminationAnalysis

    @POST @Path("/elimination/analysis") @Consumes("application/json") @Produces("application/json") @RequiresPermissions("elimination:analysis") public jakarta.ws.rs.core.Response startEliminationAnalysis(@Context jakarta.servlet.http.HttpServletRequest request, String updateSet)
    Start elimination analysis
    Parameters:
      `request` - HTTP request
      `updateSet` - contains updated field
    Returns:
      archive unit details

  - ### startEliminationAction

    @POST @Path("/elimination/action") @Consumes("application/json") @Produces("application/json") @RequiresPermissions("elimination:action") public jakarta.ws.rs.core.Response startEliminationAction(@Context jakarta.servlet.http.HttpServletRequest request, String updateSet)
    Start elimination action
    Parameters:
      `request` - HTTP request
      `updateSet` - contains updated field
    Returns:
      archive unit details

  - ### massiveArchiveUnitUpdate

    @POST @Path("/archiveupdate/units") @Produces("application/json") @Consumes("application/json") @RequiresPermissions("archiveupdate:units:update") public jakarta.ws.rs.core.Response massiveArchiveUnitUpdate(@Context jakarta.servlet.http.HttpServletRequest request, String updateSet)
    Masive archive units update
    Parameters:
      `request` - HTTP request
      `updateSet` - contains updated field
    Returns:
      archive unit details

  - ### updateArchiveUnitDetails

    @POST @Path("/archiveupdate/units/{id}") @Produces("application/json") @Consumes("application/json") @RequiresPermissions("archiveupdate:units:update") public jakarta.ws.rs.core.Response updateArchiveUnitDetails(@Context jakarta.servlet.http.HttpServletRequest request, @PathParam("id") String unitId, String updateSet)
    Update Archive Units
    Parameters:
      `request` - HTTP request
      `unitId` - archive unit id
      `updateSet` - contains updated field
    Returns:
      archive unit details

  - ### getFileFormats

    @POST @Path("/admin/formats") @Produces("application/json") @RequiresPermissions("admin:formats:read") public jakarta.ws.rs.core.Response getFileFormats(@Context jakarta.servlet.http.HttpServletRequest request, @CookieParam("JSESSIONID") String sessionId, String options)
    Parameters:
      `request` - HTTP request
      `sessionId` - json session id from shiro
      `options` - the queries for searching
    Returns:
      Response

  - ### getFormatById

    @POST @Path("/admin/formats/{idFormat:.+}") @Produces("application/json") @RequiresPermissions("admin:formats:read") public jakarta.ws.rs.core.Response getFormatById(@Context jakarta.servlet.http.HttpServletRequest request, @PathParam("idFormat") String formatId, String options)
    Parameters:
      `request` - HTTP request
      `formatId` - id of format
      `options` - the queries for searching
    Returns:
      Response

  - ### checkRefFormat

    @POST @Path("/format/check") @Consumes("application/octet-stream") @Produces("application/json") @RequiresPermissions("format:check") public jakarta.ws.rs.core.Response checkRefFormat(@Context jakarta.servlet.http.HttpServletRequest request, InputStream input)
    check the referential format
    Parameters:
      `request` - HTTP request
      `input` - the format file xml
    Returns:
      If the formet is valid, return ok. If not, return the list of errors

  - ### uploadRefFormat

    @POST @Path("/format/upload") @Consumes("application/octet-stream") @Produces("application/json") @RequiresPermissions("format:create") public jakarta.ws.rs.core.Response uploadRefFormat(@Context jakarta.servlet.http.HttpServletRequest request, InputStream input)
    Upload the referential format in the base
    Parameters:
      `request` - HTTP request
      `input` - the format file xml
    Returns:
      Response

  - ### getArchiveObjectGroup

    @GET @Path("/archiveunit/objects/{idOG}") @Produces("application/json") @RequiresPermissions("archiveunit:objects:read") public jakarta.ws.rs.core.Response getArchiveObjectGroup(@Context jakarta.servlet.http.HttpServletRequest request, @PathParam("idOG") String objectGroupId)
    Retrieve an ObjectGroup as Json data based on the provided ObjectGroup id
    Parameters:
      `request` - HTTP request
      `objectGroupId` - the object group Id
    Returns:
      a response containing a json with informations about usages and versions for an object group

  - ### getObjectAsInputStreamAsync

    @GET @Path("/archiveunit/objects/download/{unitId}") @Produces("application/octet-stream") @RequiresPermissions("archiveunit:objects:read") public void getObjectAsInputStreamAsync(@PathParam("unitId") String unitId, @QueryParam("usage") String usage, @QueryParam("filename") String filename, @QueryParam("tenantId") Integer tenantId, @QueryParam("contractId") String contractId, @Suspended jakarta.ws.rs.container.AsyncResponse asyncResponse)
    Retrieve an Object data as an input stream. Download by access.
    Parameters:
      `unitId` - the unit Id
      `usage` - additional mandatory parameters usage
      `filename` - additional mandatory parameters filename
      `tenantId` - the tenant id
      `contractId` - the contract id
      `asyncResponse` - will return the inputstream

  - ### getObjectFromStorageAsInputStreamAsync

    @GET @Path("/ingests/{idObject}/{type}") @Produces("application/octet-stream") @RequiresPermissions("ingests:read") public void getObjectFromStorageAsInputStreamAsync(@Context jakarta.servlet.http.HttpServletRequest request, @PathParam("idObject") String objectId, @PathParam("type") String type, @Suspended jakarta.ws.rs.container.AsyncResponse asyncResponse)
    Retrieve an Object data stored by ingest operation as an input stream. Download by ingests.
    Parameters:
      `request` - HTTP request
      `objectId` - the object id to get
      `type` - of collection
      `asyncResponse` - request asynchronized response

  - ### getFileRules

    @POST @Path("/admin/rules") @Produces("application/json") @RequiresPermissions("admin:rules:read") public jakarta.ws.rs.core.Response getFileRules(@Context jakarta.servlet.http.HttpServletRequest request, @CookieParam("JSESSIONID") String sessionId, String options)
    Parameters:
      `request` - HTTP request
      `sessionId` - json session id from shiro
      `options` - the queries for searching
    Returns:
      Response

  - ### getRuleById

    @POST @Path("/admin/rules/{id_rule}") @Produces("application/json") @RequiresPermissions("admin:rules:read") public jakarta.ws.rs.core.Response getRuleById(@Context jakarta.servlet.http.HttpServletRequest request, @PathParam("id_rule") String ruleId, String options)
    Parameters:
      `request` - HTTP request
      `ruleId` - id of rule
      `options` - the queries for searching
    Returns:
      Response

  - ### downloadRulesReport

    @GET @Path("/rules/report/download/{id}") @Produces("application/octet-stream") public jakarta.ws.rs.core.Response downloadRulesReport(@Context jakarta.servlet.http.HttpServletRequest request, @PathParam("id") String id)

  - ### downloadDistributionReport

    @GET @Path("/report/distribution/download/{id}") @Produces("application/octet-stream") public jakarta.ws.rs.core.Response downloadDistributionReport(@Context jakarta.servlet.http.HttpServletRequest request, @PathParam("id") String id)

  - ### downloadBatchReport

    @GET @Path("/report/batchreport/download/{id}") @Produces("application/octet-stream") public jakarta.ws.rs.core.Response downloadBatchReport(@Context jakarta.servlet.http.HttpServletRequest request, @PathParam("id") String id)

  - ### downloadCsvReferential

    @GET @Path("/referential/download/{id}/{type}") @Produces("application/octet-stream") public jakarta.ws.rs.core.Response downloadCsvReferential(@Context jakarta.servlet.http.HttpServletRequest request, @PathParam("id") String id, @PathParam("type") String type)

  - ### checkRefRule

    @POST @Path("/rules/check") @Consumes("application/octet-stream") @Produces("application/octet-stream") @RequiresPermissions("rules:create") public void checkRefRule(@Context jakarta.servlet.http.HttpServletRequest request, InputStream input, @Suspended jakarta.ws.rs.container.AsyncResponse asyncResponse)
    check the referential rules
    Parameters:
      `request` - HTTP request
      `input` - the rules file csv

  - ### uploadRefRule

    @POST @Path("/rules/upload") @Consumes("application/octet-stream") @Produces("application/json") @RequiresPermissions("rules:create") public jakarta.ws.rs.core.Response uploadRefRule(@Context jakarta.servlet.http.HttpServletRequest request, InputStream input)
    Upload the referential rules in the base
    Parameters:
      `request` - HTTP request
      `input` - the format file CSV
    Returns:
      Response

  - ### getAccessionRegister

    @POST @Path("/admin/accession-register") @Produces("application/json") @RequiresPermissions("admin:accession-register:read") public jakarta.ws.rs.core.Response getAccessionRegister(@Context jakarta.servlet.http.HttpServletRequest request, @CookieParam("JSESSIONID") String sessionId, String options)
    Get the action registers filtered with option query
    Parameters:
      `request` - HTTP request
      `sessionId` - json session id from shiro
      `options` - the queries for searching
    Returns:
      Response

  - ### getAccessionRegisterSymbolic

    @POST @Path("/admin/accession-register/symbolic") @Produces("application/json") @RequiresPermissions("admin:accessionregisterssymbolic:read") public jakarta.ws.rs.core.Response getAccessionRegisterSymbolic(@Context jakarta.servlet.http.HttpServletRequest request, @CookieParam("JSESSIONID") String sessionId, String options)
    Get the last accession register symbolic
    Parameters:
      `request` - HTTP request
      `options` - query criteria
    Returns:
      accession register symbolic

  - ### getAccessionRegisterDetail

    @POST @Path("/admin/accession-register/{originatingAgency}/accession-register-detail") @Produces("application/json") @RequiresPermissions("admin:accession-register:read") public jakarta.ws.rs.core.Response getAccessionRegisterDetail(@Context jakarta.servlet.http.HttpServletRequest request, @PathParam("originatingAgency") String originatingAgency, @CookieParam("JSESSIONID") String sessionId, String options)
    Get the detail of an accessionregister matching options query
    Parameters:
      `request` - HTTP request
      `originatingAgency` - of accession response to get
      `options` - query criteria
    Returns:
      accession register details

  - ### getUnitTree

    @POST @Path("/archiveunit/tree") @Consumes("application/json") @Produces("application/json") @RequiresPermissions("archiveunit:tree:read") public jakarta.ws.rs.core.Response getUnitTree(@Context jakarta.servlet.http.HttpServletRequest request, com.fasterxml.jackson.databind.JsonNode dslQuery)
    This resource returns all paths relative to a unit
    Parameters:
      `request` - HTTP request
      `dslQuery` - the dsl query
    Returns:
      all paths relative to a unit

  - ### login

    @POST @Path("login") @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response login(@Context jakarta.servlet.http.HttpServletRequest request, @Context jakarta.servlet.http.HttpServletRequest httpRequest, com.fasterxml.jackson.databind.JsonNode object)
    Parameters:
      `request` - HTTP request
      `object` - user credentials
    Returns:
      Response OK if login success

  - ### getPermissions

    @GET @Path("permissions") @Produces("application/json") public jakarta.ws.rs.core.Response getPermissions(@Context jakarta.servlet.http.HttpServletRequest httpRequest)
    Returns:
      List of permissions

  - ### getUnitLifeCycleById

    @GET @Path("/logbookunitlifecycles/{id_lc}") @Produces("application/json") @RequiresPermissions("logbookunitlifecycles:read") public jakarta.ws.rs.core.Response getUnitLifeCycleById(@Context jakarta.servlet.http.HttpServletRequest request, @PathParam("id_lc") String unitLifeCycleId)
    returns the unit life cycle based on its id
    Parameters:
      `request` - HTTP request
      `unitLifeCycleId` - the unit id (== unit life cycle id)
    Returns:
      the unit life cycle

  - ### getObjectGroupLifeCycleById

    @GET @Path("/logbookobjectslifecycles/{id_lc}") @Produces("application/json") @RequiresPermissions("logbookobjectslifecycles:read") public jakarta.ws.rs.core.Response getObjectGroupLifeCycleById(@Context jakarta.servlet.http.HttpServletRequest request, @PathParam("id_lc") String objectGroupLifeCycleId)
    returns the object group life cycle based on its id
    Parameters:
      `request` - HTTP request
      `objectGroupLifeCycleId` - the object group id (== object group life cycle id)
    Returns:
      the object group life cycle

  - ### listOperationsDetails

    @POST @Path("/operations") @Produces("application/json") @RequiresPermissions("operations:read") public jakarta.ws.rs.core.Response listOperationsDetails(@Context jakarta.servlet.http.HttpServletRequest request, ProcessQuery query)
    Get the workflow operations list for step by step ingest
    Parameters:
      `request` - HTTP request
      `query` - the query
    Returns:
      the operations list

  - ### updateWorkFlowStatus

    @Path("operations/{id}") @PUT @Produces("application/octet-stream") @RequiresPermissions("operations:update") public jakarta.ws.rs.core.Response updateWorkFlowStatus(@Context jakarta.servlet.http.HttpServletRequest request, @PathParam("id") String id)
    Update the status of an operation.
    Parameters:
      `request` - HTTP request
      `id` - operation identifier
    Returns:
      http response

  - ### cancelProcess

    @DELETE @Path("/operations/{id}") @RequiresPermissions("operations:delete") public jakarta.ws.rs.core.Response cancelProcess(@Context jakarta.servlet.http.HttpServletRequest request, @PathParam("id") String id)

  - ### uploadRefContracts

    @POST @Path("/contracts") @Consumes("application/octet-stream") @Produces("application/json") @RequiresPermissions("contracts:create") public jakarta.ws.rs.core.Response uploadRefContracts(@Context jakarta.servlet.http.HttpServletRequest request, InputStream input)
    Upload contracts
    Parameters:
      `request` - HTTP request
      `input` - the format file CSV
    Returns:
      Response

  - ### findIngestContracts

    @POST @Path("/contracts") @Consumes("application/json") @Produces("application/json") @RequiresPermissions("contracts:read") public jakarta.ws.rs.core.Response findIngestContracts(@Context jakarta.servlet.http.HttpServletRequest request, String select)
    Gets contracts
    Parameters:
      `request` - HTTP request
      `select` - the query
    Returns:
      Response

  - ### findContractsById

    @GET @Path("/contracts/{id}") @Consumes("application/json") @Produces("application/json") @RequiresPermissions("contracts:read") public jakarta.ws.rs.core.Response findContractsById(@Context jakarta.servlet.http.HttpServletRequest request, @PathParam("id") String id)
    Gets contracts by name
    Parameters:
      `request` - HTTP request
      `id` - if of the contract
    Returns:
      Response

  - ### updateIngestContracts

    @POST @Path("/contracts/{id}") @Produces("application/json") @Consumes("application/json") @RequiresPermissions("contracts:update") public jakarta.ws.rs.core.Response updateIngestContracts(@Context jakarta.servlet.http.HttpServletRequest request, @PathParam("id") String contractId, com.fasterxml.jackson.databind.JsonNode updateOptions)
    Upload Access contracts
    Parameters:
      `request` - HTTP request
      `contractId` - the id of ingest contract
    Returns:
      Response

  - ### uploadAccessContracts

    @POST @Path("/accesscontracts") @Consumes("application/octet-stream") @Produces("application/json") @RequiresPermissions("accesscontracts:create") public jakarta.ws.rs.core.Response uploadAccessContracts(@Context jakarta.servlet.http.HttpServletRequest request, InputStream input)
    Upload Access contracts
    Parameters:
      `request` - HTTP request
      `input` - the format file CSV
    Returns:
      Response

  - ### findAccessContracts

    @POST @Path("/accesscontracts") @Consumes("application/json") @Produces("application/json") @RequiresPermissions("accesscontracts:read") public jakarta.ws.rs.core.Response findAccessContracts(@Context jakarta.servlet.http.HttpServletRequest request, String select)
    Query to get Access contracts
    Parameters:
      `request` - HTTP request
      `select` - the query to find access contracts
    Returns:
      Response

  - ### findAccessContract

    @GET @Path("/accesscontracts/{id}") @Consumes("application/json") @Produces("application/json") @RequiresPermissions("accesscontracts:read") public jakarta.ws.rs.core.Response findAccessContract(@Context jakarta.servlet.http.HttpServletRequest request, @PathParam("id") String id)
    Query to Access contracts by id
    Parameters:
      `request` - HTTP request
      `id` - of the requested access contract
    Returns:
      Response

  - ### updateAccessContracts

    @POST @Path("/accesscontracts/{id}") @Consumes("application/json") @Produces("application/json") @RequiresPermissions("accesscontracts:update") public jakarta.ws.rs.core.Response updateAccessContracts(@Context jakarta.servlet.http.HttpServletRequest request, @PathParam("id") String contractId, com.fasterxml.jackson.databind.JsonNode updateOptions)
    Update Access contracts
    Parameters:
      `request` - HTTP request
      `contractId` - the id of access contract
    Returns:
      Response

  - ### uploadManagementContracts

    @POST @Path("/managementcontracts") @Consumes("application/octet-stream") @Produces("application/json") @RequiresPermissions("managementcontracts:create") public jakarta.ws.rs.core.Response uploadManagementContracts(@Context jakarta.servlet.http.HttpServletRequest request, InputStream input)
    Upload Management contracts
    Parameters:
      `request` - HTTP request
      `input` - the format file CSV
    Returns:
      Response

  - ### findManagementContracts

    @POST @Path("/managementcontracts") @Consumes("application/json") @Produces("application/json") @RequiresPermissions("managementcontracts:read") public jakarta.ws.rs.core.Response findManagementContracts(@Context jakarta.servlet.http.HttpServletRequest request, String select)
    Query to get Management contracts
    Parameters:
      `request` - HTTP request
      `select` - the query to find Management contracts
    Returns:
      Response

  - ### findManagementContract

    @GET @Path("/managementcontracts/{id}") @Consumes("application/json") @Produces("application/json") @RequiresPermissions("managementcontracts:read") public jakarta.ws.rs.core.Response findManagementContract(@Context jakarta.servlet.http.HttpServletRequest request, @PathParam("id") String id)
    Query to Management contracts by id
    Parameters:
      `request` - HTTP request
      `id` - of the requested management contract
    Returns:
      Response

  - ### updateManagementContracts

    @POST @Path("/managementcontracts/{id}") @Consumes("application/json") @Produces("application/json") @RequiresPermissions("managementcontracts:update") public jakarta.ws.rs.core.Response updateManagementContracts(@Context jakarta.servlet.http.HttpServletRequest request, @PathParam("id") String contractId, com.fasterxml.jackson.databind.JsonNode updateOptions)
    Update Management contracts
    Parameters:
      `request` - HTTP request
      `contractId` - the id of management contract
    Returns:
      Response

  - ### updateContexts

    @POST @Path("/contexts/{id}") @Consumes("application/json") @Produces("application/json") @RequiresPermissions("contexts:update") public jakarta.ws.rs.core.Response updateContexts(@Context jakarta.servlet.http.HttpServletRequest request, @PathParam("id") String contextId, com.fasterxml.jackson.databind.JsonNode updateOptions)
    Update context
    Parameters:
      `request` - HTTP request
      `contextId` - the id of context
    Returns:
      Response

  - ### uploadContext

    @POST @Path("/contexts") @Consumes("application/octet-stream") @Produces("application/json") @RequiresPermissions("contexts:create") public jakarta.ws.rs.core.Response uploadContext(@Context jakarta.servlet.http.HttpServletRequest request, InputStream input)
    upload context
    Parameters:
      `request` - HTTP request
      `input` - the file json
    Returns:
      Response

  - ### findContext

    @POST @Path("/contexts") @Consumes("application/json") @Produces("application/json") @RequiresPermissions("contexts:read") public jakarta.ws.rs.core.Response findContext(@Context jakarta.servlet.http.HttpServletRequest request, String select)
    Get contexts
    Parameters:
      `request` - HTTP request
      `select` -
    Returns:
      Response

  - ### findContextByID

    @GET @Path("/contexts/{id}") @Consumes("application/json") @Produces("application/json") @RequiresPermissions("contexts:read") public jakarta.ws.rs.core.Response findContextByID(@Context jakarta.servlet.http.HttpServletRequest request, @PathParam("id") String id)
    Get context by id
    Parameters:
      `request` - HTTP request
      `id` -
    Returns:
      Response

  - ### createProfilesMetadata

    @POST @Path("/profiles") @Consumes("application/octet-stream") @Produces("application/json") @RequiresPermissions("profiles:create") public jakarta.ws.rs.core.Response createProfilesMetadata(@Context jakarta.servlet.http.HttpServletRequest request, InputStream input) throws IOException
    Create profiles metadata
    Parameters:
      `request` - HTTP request
      `input` - the format file CSV
    Returns:
      Response
    Throws:
      `IOException`

  - ### importProfileFile

    @PUT @Path("/profiles/{id}") @Consumes("application/octet-stream") @Produces("application/json") @RequiresPermissions("profiles:create") public jakarta.ws.rs.core.Response importProfileFile(@Context jakarta.servlet.http.HttpServletRequest request, InputStream input, @PathParam("id") String id)
    Upload profile xsd or rng
    Parameters:
      `request` - HTTP request
      `input` - the format file CSV
    Returns:
      Response

  - ### updateProfile

    @PUT @Path("/profiles/{id}") @Consumes("application/json") @Produces("application/json") @RequiresPermissions("profiles:update") public jakarta.ws.rs.core.Response updateProfile(@Context jakarta.servlet.http.HttpServletRequest request, @PathParam("id") String profileMetadataId, com.fasterxml.jackson.databind.JsonNode updateOptions)
    Update the detail of the profile
    Parameters:
      `request` - HTTP request
      `profileMetadataId` -
      `updateOptions` -
    Returns:
      Response

  - ### downloadProfileFile

    @GET @Path("/profiles/{id}") @Produces("application/octet-stream") @RequiresPermissions("profiles:read") public void downloadProfileFile(@Context jakarta.servlet.http.HttpServletRequest request, @PathParam("id") String profileMetadataId, @Suspended jakarta.ws.rs.container.AsyncResponse asyncResponse)

  - ### findProfiles

    @POST @Path("/profiles") @Consumes("application/json") @Produces("application/json") @RequiresPermissions("profiles:read") public jakarta.ws.rs.core.Response findProfiles(@Context jakarta.servlet.http.HttpServletRequest request, String select)
    Query to get profiles
    Parameters:
      `request` - HTTP request
      `select` - the query to find access contracts
    Returns:
      Response

  - ### findProfileByID

    @GET @Path("/profiles/{id}") @Consumes("application/json") @Produces("application/json") @RequiresPermissions("profiles:read") public jakarta.ws.rs.core.Response findProfileByID(@Context jakarta.servlet.http.HttpServletRequest request, @PathParam("id") String id)
    Query to Access contracts by id
    Parameters:
      `request` - HTTP request
      `id` - of the requested access contract
    Returns:
      Response

  - ### checkOperationTraceability

    @POST @Path("/traceability/check") @Consumes("application/json") @Produces("application/json") @RequiresPermissions("traceability:check:create") public jakarta.ws.rs.core.Response checkOperationTraceability(@Context jakarta.servlet.http.HttpServletRequest request, String operationCriteria)
    Starts a TRACEABILITY check process
    Parameters:
      `request` - HTTP request
      `operationCriteria` - a DSLQuery to find the TRACEABILITY operation to verify
    Returns:
      TRACEABILITY check process : the logbookOperation created during this process

  - ### downloadTraceabilityFile

    @GET @Path("/traceability/{idOperation}/content") @Produces("application/octet-stream") @RequiresPermissions("traceability:content:read") public void downloadTraceabilityFile(@Context jakarta.servlet.http.HttpServletRequest request, @PathParam("idOperation") String operationId, @QueryParam("contractId") String contractId, @QueryParam("tenantId") String tenantIdParam, @Suspended jakarta.ws.rs.container.AsyncResponse asyncResponse)
    Download the Traceability Operation file
    Parameters:
      `request` - HTTP request
      `operationId` - the TRACEABILITY operation identifier
      `contractId` - the contractId
      `tenantIdParam` - theTenantId
      `asyncResponse` - the async response

  - ### extractTimeStampInformation

    @POST @Path("/traceability/extractTimestamp") @Produces("application/json") @Consumes("application/json") @RequiresPermissions("logbook:operations:read") public jakarta.ws.rs.core.Response extractTimeStampInformation(String timestamp)
    Extract information from timestamp
    Parameters:
      `timestamp` - the timestamp to be transformed
    Returns:
      Response

  - ### getWorkflowDefinitions

    @GET @Path("/workflows") @Produces("application/json") public jakarta.ws.rs.core.Response getWorkflowDefinitions(@Context jakarta.servlet.http.HttpServletRequest request)

  - ### launchAudit

    @POST @Path("/audits") @Consumes("application/json") @Produces("application/json") @RequiresPermissions("admin:audit") public jakarta.ws.rs.core.Response launchAudit(@Context jakarta.servlet.http.HttpServletRequest request, com.fasterxml.jackson.databind.JsonNode auditOption)

  - ### uploadServiceAgencies

    @POST @Path("/agencies") @Consumes("application/octet-stream") @Produces("application/json") @RequiresPermissions("agencies:create") public jakarta.ws.rs.core.Response uploadServiceAgencies(@Context jakarta.servlet.http.HttpServletRequest request, InputStream input)
    Upload Service Agencies
    Parameters:
      `request` - HTTP request
      `input` - the Service Agency file CSV
    Returns:
      Response

  - ### findServiceAgencies

    @POST @Path("/agencies") @Consumes("application/json") @Produces("application/json") @RequiresPermissions("agencies:read") public jakarta.ws.rs.core.Response findServiceAgencies(@Context jakarta.servlet.http.HttpServletRequest request, String select)
    Find Service Agencies by DSL
    Parameters:
      `request` - HTTP request
      `select` - the query to find Service Agency
    Returns:
      Response

  - ### findServiceAgencyById

    @GET @Path("/agencies/{id:.+}") @Consumes("application/json") @Produces("application/json") @RequiresPermissions("agencies:read") public jakarta.ws.rs.core.Response findServiceAgencyById(@Context jakarta.servlet.http.HttpServletRequest request, @PathParam("id") String id)
    Query to Service Agency by identifier
    Parameters:
      `request` - HTTP request
      `id` - of the requested Service Agency
    Returns:
      Response

  - ### createArchiveUnitProfileMetadata

    @POST @Path("/archiveunitprofiles") @Consumes("application/octet-stream") @Produces("application/json") @RequiresPermissions("archiveunitprofiles:create") public jakarta.ws.rs.core.Response createArchiveUnitProfileMetadata(@Context jakarta.servlet.http.HttpServletRequest request, InputStream input) throws IOException
    Create archive unit profiles metadata
    Parameters:
      `request` - HTTP request
      `input` - the format file CSV
    Returns:
      Response
    Throws:
      `IOException`

  - ### updateArchiveUnitProfile

    @PUT @Path("/archiveunitprofiles/{id}") @Consumes("application/json") @Produces("application/json") @RequiresPermissions("archiveunitprofiles:update") public jakarta.ws.rs.core.Response updateArchiveUnitProfile(@Context jakarta.servlet.http.HttpServletRequest request, @PathParam("id") String archiveUnitprofileId, com.fasterxml.jackson.databind.JsonNode updateOptions)
    Update the detail of the archive unit profile
    Parameters:
      `request` - HTTP request
      `archiveUnitprofileId` -
      `updateOptions` -
    Returns:
      Response

  - ### findArchiveUnitProfiles

    @POST @Path("/archiveunitprofiles") @Consumes("application/json") @Produces("application/json") @RequiresPermissions("archiveunitprofiles:read") public jakarta.ws.rs.core.Response findArchiveUnitProfiles(@Context jakarta.servlet.http.HttpServletRequest request, String select)
    Query to get archive unit profiles
    Parameters:
      `request` - HTTP request
      `select` - the query to find archive unit profiles
    Returns:
      Response

  - ### findArchiveUnitProfileByID

    @GET @Path("/archiveunitprofiles/{id}") @Consumes("application/json") @Produces("application/json") @RequiresPermissions("archiveunitprofiles:read") public jakarta.ws.rs.core.Response findArchiveUnitProfileByID(@Context jakarta.servlet.http.HttpServletRequest request, @PathParam("id") String id)
    Query to Access archive unit profile by id
    Parameters:
      `request` - HTTP request
      `id` - of the requested archive unit profile
    Returns:
      Response

  - ### importOntologies

    @POST @Path("/ontologies") @Consumes("application/octet-stream") @Produces("application/json") @RequiresPermissions("ontologies:create") public jakarta.ws.rs.core.Response importOntologies(@HeaderParam("Force-Update") boolean forceUpdate, @Context jakarta.servlet.http.HttpServletRequest request, InputStream input) throws IOException
    Import the ontologies json file
    Parameters:
      `request` - HTTP request
      `input` - a json file
    Returns:
      Response
    Throws:
      `IOException`

  - ### findOntologies

    @POST @Path("/ontologies") @Consumes("application/json") @Produces("application/json") @RequiresPermissions("ontologies:read") public jakarta.ws.rs.core.Response findOntologies(@Context jakarta.servlet.http.HttpServletRequest request, String select)
    Query to find all ontologies matching given criteria
    Parameters:
      `request` - HTTP request context
      `select` - given criteria in order to select ontologies
    Returns:
      Response

  - ### findOntologyById

    @GET @Path("/ontologies/{id:.+}") @Consumes("application/json") @Produces("application/json") @RequiresPermissions("ontologies:read") public jakarta.ws.rs.core.Response findOntologyById(@Context jakarta.servlet.http.HttpServletRequest request, @PathParam("id") String id)
    Query to get Ontology by identifier
    Parameters:
      `request` - HTTP request
      `id` - of the requested Service Agency
    Returns:
      Response

  - ### launchEvidanceAudit

    @POST @Path("/archiveunit/evidenceaudit") @RequiresPermissions("evidenceaudit:check") public jakarta.ws.rs.core.Response launchEvidanceAudit(@Context jakarta.servlet.http.HttpServletRequest request, String criteria)
    Send a queryDSL request in order to select some units and create a matching DIP
    Parameters:
      `request` - HTTP request
      `criteria` - queryDSL for criteria

  - ### exportProbativeValue

    @POST @Path("/archiveunit/probativevalueexport") @RequiresPermissions("probativevalue:check") public jakarta.ws.rs.core.Response exportProbativeValue(@Context jakarta.servlet.http.HttpServletRequest request, String criteria)
    - Send a queryDSL request in order to generate an probative value
    Parameters:
      `request` - HTTP request
      `criteria` - queryDSL for criteria

  - ### createDIPForExport

    @POST @Path("/archiveunit/dipexport") @Produces("application/json") @RequiresPermissions("dipexportv2:create") public jakarta.ws.rs.core.Response createDIPForExport(@Context jakarta.servlet.http.HttpServletRequest request, DipRequest criteria)
    Send a queryDSL request in order to select some units and create a matching DIP
    Parameters:
      `request` - HTTP request
      `criteria` - queryDSL for criteria

  - ### createTransferSIP

    @POST @Path("/archiveunit/transfers") @Produces("application/json") @RequiresPermissions("transfers:create") public jakarta.ws.rs.core.Response createTransferSIP(@Context jakarta.servlet.http.HttpServletRequest request, TransferRequest criteria)

  - ### getDIPAsInputStreamAsync

    @GET @Path("/archiveunit/dipexport/{id}") @Produces("application/octet-stream") @RequiresPermissions("dipexport:read") public void getDIPAsInputStreamAsync(@Context jakarta.servlet.http.HttpServletRequest request, @PathParam("id") String id, @Suspended jakarta.ws.rs.container.AsyncResponse asyncResponse)
    Send a DIP id request in order to download the matching DIP
    Parameters:
      `request` - HTTP request
      `asyncResponse` - request asynchronized response

  - ### getTransferSIPAsInputStreamAsync

    @GET @Path("/archiveunit/transfers/{id}") @Produces("application/octet-stream") @RequiresPermissions("transfers:read") public void getTransferSIPAsInputStreamAsync(@Context jakarta.servlet.http.HttpServletRequest request, @PathParam("id") String id, @Suspended jakarta.ws.rs.container.AsyncResponse asyncResponse)

  - ### computedInheritedRules

    @POST @Path("/archiveunit/computedinheritedrules") @Produces("application/json") @Consumes("application/json") @RequiresPermissions("archiveupdate:units:update") public jakarta.ws.rs.core.Response computedInheritedRules(@Context jakarta.servlet.http.HttpServletRequest request, String Query)
    Compute inherated rules from basket
    Parameters:
      `request` - HTTP request
      `Query` - contains updated field
    Returns:
      archive unit details

  - ### deleteComputedInheritedRules

    @POST @Path("/archiveunit/deletecomputedinheritedrules") @Produces("application/json") @Consumes("application/json") @RequiresPermissions("archiveupdate:units:update") public jakarta.ws.rs.core.Response deleteComputedInheritedRules(@Context jakarta.servlet.http.HttpServletRequest request, String Query)
    Delete Compute inherated rules from basket
    Parameters:
      `request` - HTTP request
      `Query` - contains updated field
    Returns:
      archive unit details

  - ### getSecureMode

    @GET @Path("/securemode") @Produces("application/json") public jakarta.ws.rs.core.Response getSecureMode()
    Return authentication mode
    Returns:
      liste of authentication mode

  - ### getAdminTenant

    @GET @Path("/admintenant") @Produces("application/json") public jakarta.ws.rs.core.Response getAdminTenant()
    Return admin tenant
    Returns:
      admin tenant number

  - ### getObjectsSearchResult

    @POST @Path("/objectssearch/objects") @Produces("application/json") @RequiresPermissions("objects:read") public jakarta.ws.rs.core.Response getObjectsSearchResult(@Context jakarta.servlet.http.HttpServletRequest request, @CookieParam("JSESSIONID") String sessionId, String criteria)
    Parameters:
      `request` - needed for the request: X-TENANT-ID (mandatory), X-LIMIT/X-OFFSET (not mandatory)
      `sessionId` - json session id from shiro
      `criteria` - criteria search for units
    Returns:
      Reponse